Results 1 to 6 of 6

Thread: LMMS: Outdated package needs some bug fixes.

  1. #1
    Join Date
    Sep 2011
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    LMMS: Outdated package needs some bug fixes.

    First, I will relay my story, and then ask the question:
    I am a Ubuntu user, and I am active in reporting bugs, some beta testing, etc. I've started reading the Debian packing documentation and it is immense. I am particularly interested in music making/recording programs and have grown very fond of LMMS. A few release cycles ago, the program stopped showing up in the USC under the Audio/Video section, and it also fails to show up in the dash and other menus because it has no lmms.desktop file. This has been reported in launchpad, and there is no active maintainer for the project. So I began digging around and e-mailing everyone I could, and suddenly I was made the package maintainer by the person who it was defaulted to previously.
    So....

    I need HELP. I simply wanted the bugs to be fixed, and now here I am in charge of fixing them, and I don't know where to go from here. Links are helpful. People that I can e-mail are helpful. Anything to get me going in the right direction will greatly help.

  2. #2
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: HELP!! Outdated package needs some bug fixes!!

    You'd probably be better off asking for help on IRC, #ubuntu-devel, or on the ubuntu-devel mailing list, as developers generally don't frequent the forums. This sub-forum is for people that are developing new applications specifically for Ubuntu.

  3. #3
    Join Date
    Sep 2011
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: HELP!! Outdated package needs some bug fixes!!

    Quote Originally Posted by cariboo907 View Post
    You'd probably be better off asking for help on IRC, #ubuntu-devel, or on the ubuntu-devel mailing list, as developers generally don't frequent the forums. This sub-forum is for people that are developing new applications specifically for Ubuntu.
    For sure. They have definetly been much more helpful.

  4. #4
    Join Date
    Sep 2011
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: LMMS: Outdated package needs some bug fixes.

    But just for posterities sake, I will record some valuable info I found out from the #ubuntu-devel irc channel... I'll just use lmms for the examples
    The Ubuntu software-center looks at the lmms.desktop contained in the binary. If the package is in a ppa, this comes from an untrusted source and wont work, though the description will appear nicely.
    Secondly
    /usr/share/app-install/desktop/ should contain a file for that program like lmms:lmms.desktop
    If this isn't the case (which neither desktop file install for lmms)
    you need to release a good one in the upcoming release.
    Patching it is probably hard (I will find out I suppose)
    One must go about adding it to "app-install-data-ubuntu"
    I am going to leave this question open, so I can post the full solution here when it is solved.

  5. #5
    Join Date
    Sep 2011
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: LMMS: Outdated package needs some bug fixes.

    Ok, the real issue with lmms was in the debian folder.
    The lmms.install file was missing the line
    Code:
    usr/share/applications*
    which tells the installer to install the desktop file there.
    This ALSO will tell the software-center about the program, and list it in the appropriate category, etc...

  6. #6
    Join Date
    Sep 2011
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: LMMS: Outdated package needs some bug fixes.

    "This ALSO will tell the software-center about the program, and list it in the appropriate category, etc..." is apparently not true, however a *new* version is now in Raring Ringtail!!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •